{ pkgs ? import <nixpkgs> {} }:
let
    inherit (pkgs) callPackage;
    inherit (pkgs.lib) filterAttrs mapAttrs;
    inherit (builtins) substring readDir;

    here = ./.;

    want = filterAttrs (name: type:
        type == "directory" && (substring 0 1 name) != "."
    ) (readDir here);
in {
    znur = mapAttrs (name: type:
        callPackage (import here/name)
    ) want
}
